io.undertow.websockets

## Class WebSocketExtension

- java.lang.Object
- - io.undertow.websockets.WebSocketExtension

    public class WebSocketExtension
    extends Object

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `WebSocketExtension.Parameter`

### Constructor Summary

Constructors
Constructor and Description
`WebSocketExtension(String name)`
`WebSocketExtension(String name, List<WebSocketExtension.Parameter> parameters)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getName()`
`List<WebSocketExtension.Parameter>` `getParameters()`
`static List<WebSocketExtension>` `parse(String extensionHeader)`
`static String` `toExtensionHeader(List<WebSocketExtension> extensions)` Compose a String from a list of extensions to be used in the response of a protocol negotiation.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WebSocketExtension

    public WebSocketExtension(String name)

#### WebSocketExtension

    public WebSocketExtension(String name,
                              List<WebSocketExtension.Parameter> parameters)

### Method Detail

#### getName

    public String getName()

#### getParameters

    public List<WebSocketExtension.Parameter> getParameters()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### parse

    public static List<WebSocketExtension> parse(String extensionHeader)

#### toExtensionHeader

    public static String toExtensionHeader(List<WebSocketExtension> extensions)

Compose a String from a list of extensions to be used in the response of a protocol negotiation.

Parameters:
  `extensions` - list of `WebSocketExtension`
Returns:
  a string representation of the extensions
See Also:
  `Headers`